%define	glib_name	%{name}-glib
%define	util_name	%{name}-util

%define glib_major	0
%define util_major	0

%define lib_glib_name	%mklibname %{glib_name} %{glib_major}
%define	lib_glib_dev	%mklibname -d %{glib_name}
%define lib_util_name	%mklibname %{util_name} %{util_major}
%define	lib_util_dev	%mklibname -d %{util_name}

%define	rname	NetworkManager

Summary:	%{rname}
Name:		networkmanager
Version:	0.7.0
Release:	%mkrel 0.4
Source0:	%{rname}-%{version}.tar.lzma
#Patch0:		NetworkManager-0.7.0-fix-build.patch
#Patch1:		NetworkManager-0.7.0-fix-undefined-reference.patch
Patch2:		NetworkManager-0.7.0-mdkconf.patch
Patch3:		no-strict-aliasing.patch
License:	GPLv2+
Group:		System/Configuration/Networking
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://www.gnome.org/projects/NetworkManager/
BuildRequires:	libnl-devel wpa_supplicant libiw-devel dbus-glib-devel
BuildRequires:	perl(XML::Parser) hal-devel >= 0.5.0 nss-devel intltool
BuildRequires:	ppp-devel
Requires:	wpa_supplicant wireless-tools
Obsoletes:	dhcdbd
Requires(post):	rpm-helper
Requires(preun):rpm-helper

%description
NetworkManager attempts to keep an active network connection available
at all times.  The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If
using DHCP, NetworkManager is _intended_ to replace default routes,
obtain IP addresses from a DHCP server, and change nameservers
whenever it sees fit.  In effect, the goal of NetworkManager is to
make networking Just Work.

%package -n 	%{lib_glib_name}
Group:		System/Libraries
Summary:	Library for %{glib_name}

%description -n	%{lib_glib_name}
Library for %{glib_name}.

%package -n	%{lib_util_name}
Group:		System/Libraries
Summary:	Library for %{util_name}

%description -n	%{lib_util_name}
Library for %{util_name}.

%package -n	%{lib_glib_dev}
Group:		Development/C
Summary:	Devel library for %{glib_name}
Provides:	%{glib_name}-devel = %{version}-%{release}
Requires:	%{lib_glib_name} = %{version}

%description -n	%{lib_glib_dev}
Devel library for %{glib_name}.

%package -n	%{lib_util_dev}
Group:		Development/C
Summary:	Devel library for %{util_name}
Provides:	%{util_name}-devel = %{version}-%{release}
Requires:	%{lib_util_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n	%{lib_util_dev}
Devel library for %{util_name}.

%prep
%setup -q -n %{rname}-%{version}
#%%patch0 -p1 -b .buildfix
#%%patch1 -p1 -b .fix_undefined_reference
%patch2 -p1 -b .mandriva
%patch3 -p1 -b .nostrictaliasing

%build
libtoolize --force
autoreconf -i --force
intltoolize --force
# Even though we don't require named, we still build with it
# so that if the user installs it, NM will use it automatically
%configure2_5x	--localstatedir=%{_var} \
		--disable-static \
		--with-named=%{_sbindir}/named \
		--with-named-dir=%{_var}/named/data \
		--with-named-user=named \
		--with-distro=mandriva \
		--with-mdns-provider=avahi
%make

%install
rm -rf %{buildroot}
%makeinstall_std

cat > %{buildroot}%{_sysconfdir}/nm-system-settings.conf << EOF
[main]
plugins=ifcfg-fedora
EOF

%find_lang %{rname}

find %{buildroot} -name \*.la|xargs rm -f

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}
%_post_service %{name}dispatcher

%preun
%_preun_service %{name}dispatcher
%_preun_service %{name}

%post -n %{lib_glib_name} -p /sbin/ldconfig
%postun -n %{lib_glib_name} -p /sbin/ldconfig

%post -n %{lib_util_name} -p /sbin/ldconfig
%postun -n %{lib_util_name} -p /sbin/ldconfig


%files -f %{rname}.lang
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTING ChangeLog NEWS README TODO
%{_sysconfdir}/dbus-1/system.d/NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/dbus-1/system.d/nm-system-settings.conf
%{_initrddir}/%{name}
%{_initrddir}/%{name}dispatcher
%{_sbindir}/nm-system-settings
%{_sysconfdir}/nm-system-settings.conf
%{_sbindir}/%{rname}
%{_sbindir}/%{rname}Dispatcher
%dir %{_sysconfdir}/%{rname}
%dir %{_sysconfdir}/%{rname}/dispatcher.d
%{_bindir}/nm-tool
%{_libexecdir}/nm-dhcp-client.action
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so
%dir %{_var}/run/%{rname}
%{_libexecdir}/nm-crash-logger
%dir %{_datadir}/%{rname}
%{_datadir}/%{rname}/gdb-cmd
%{_datadir}/dbus-1/system-services/org.freedesktop.NetworkManagerSystemSettings.service

%files -n %{lib_glib_name}
%{_libdir}/libnm_glib.so.%{glib_major}*
%{_libdir}/libnm_glib_vpn.so.%{glib_major}*

%files -n %{lib_util_name}
%{_libdir}/libnm-util.so.%{util_major}*
%{_libdir}/pppd/2.4.4/nm-pppd-plugin.so

%files -n %{lib_glib_dev}
%dir %{_includedir}/libnm-glib
%{_includedir}/libnm-glib/*.h
%{_libdir}/libnm_glib.so
%{_libdir}/libnm_glib_vpn.so
%{_libdir}/pkgconfig/libnm_glib.pc

%files -n %{lib_util_dev}
%dir %{_includedir}/%{rname}
%{_includedir}/%{rname}/*.h
%{_libdir}/pkgconfig/%{rname}.pc
%{_libdir}/libnm-util.so
%{_libdir}/pkgconfig/libnm-util.pc


%changelog
* Tue Mar 18 2008 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.0-0.4mdv2008.1
+ Revision: 188564
- d'oh, remove dhcdb from buildrequires
- new svn snapshot
- update mandriva backend (P2)
- build fedora nm-system-settings plugin
- enable avahi for mdns (fixes crash with NetworkManager due to no mdns)
- this release actually works :p

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 0.7.0-0.3mdv2008.1
+ Revision: 177393
- obsolete dhcdbd (obsoleted by NM >= 0.7.0)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Fri Feb 08 2008 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.0-0.2mdv2008.1
+ Revision: 164291
- fix problems with conflicts of -devel packages reported by blino

* Thu Feb 07 2008 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.0-0.1mdv2008.1
+ Revision: 163655
- fix buildrequires
- New release: 0.7.0'ish (from svn, grabbed from suse)
- sync patches (P0 & P1) and much of structure with Fedora
- add Mandriva backend (P2)
- split out nm-applet
- cleanups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-5mdv2007.0
+ Revision: 121928
- fix buildrequires
- patch2 fix compil with latest dbus

* Fri Sep 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-4mdv2007.0
- Add BuildRequire

* Sat Aug 05 2006 Olivier Blin <blino@mandriva.com> 0.6.4-3mdv2007.0
- Patch1: fix build for new dbus
- add libiw-devel BuildRequires and wireless-tools Requires

* Thu Jul 20 2006 Olivier Blin <blino@mandriva.com> 0.6.4-2mdv2007.0
- update icon cache

* Wed Jul 19 2006 Olivier Blin <blino@mandriva.com> 0.6.4-1mdv2007.0
- initial Mandriva release
- Patch0: fake include of <linux/if.h>

